Paycose Docs
Payment Method
GET/payment_methods

List

List all payment methods.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/payment_methods/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[brand]=&filter[created_at]=&filter[customer_id]=&filter[exp_month]=&filter[exp_year]=&filter[id]=&filter[labels]=&filter[provider_id]=&filter[reference_id]=&filter[type]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "customer_id": "<string>",
      "card_holder_name": "<string>",
      "last4": "<string>",
      "fingerprint": "<string>",
      "exp_month": 0,
      "exp_year": 0,
      "type": "<string>",
      "brand": "<string>",
      "card": {
        "brand": "<string>",
        "issuer": "<string>",
        "last4": "<string>",
        "exp_month": 0,
        "exp_year": 0
      },
      "billing_details": {},
      "allow_redisplay": "<string>",
      "reference_id": "<string>",
      "provider": "<string>",
      "metadata": {},
      "labels": "<core.Labels>",
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      },
      "provider_connection_status": "<string>",
      "needs_recollection": false
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page